%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	XDG user dirs support for GNOME/GTK+
Name:		xdg-user-dirs-gtk
Version:	0.9
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) 0.5-2mdv add KDE info to desktop file
Patch0:		xdg-user-dirs-gtk-0.9-kde.patch
# (fc) 0.5-2mdv detect mdk-folders entries in gtk bookmarks and replace them with standard entries
Patch1:		xdg-user-dirs-gtk-0.5-mdkfolders.patch
BuildRequires:	xdg-user-dirs
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
Requires:	xdg-user-dirs

%description
xdg-user-dirs-gtk is a companion to xdg-user-dirs that integrates it into
the Gnome desktop and Gtk+ applications.

It gets run during login and does two things:
* Tracks changes of locale and prompts the user so the directories
  can be changed.
* Creates a default gtk bookmarks file if there is none, based
  on a set of xdg user dirs.

%prep
%setup -q
%patch0 -p1 -b .kde
%patch1 -p1 -b .mdkfolders

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/autostart
install -m644 user-dirs-update-gtk.desktop %{buildroot}%{_datadir}/autostart

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk <<EOF
#!/bin/sh
DESKTOP=\$1
case \$DESKTOP in
   GNOME|KDE|xfce4) exit 0;;
   *) exec /usr/bin/xdg-user-dirs-gtk-update ;;
esac
EOF

chmod +x %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk 

%files -f %{name}.lang
%doc AUTHORS ChangeLog README NEWS
%config(noreplace) %{_sysconfdir}/xdg/autostart/user-dirs-update-gtk.desktop
%config(noreplace) %{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk 
%{_bindir}/xdg-user-dirs-gtk-update
%{_datadir}/autostart/user-dirs-update-gtk.desktop




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.9-2.mga3
+ Revision: 386715
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 14 2012 wally <wally> 0.9-1.mga3
+ Revision: 270771
- update BRs
- rediff P0

  + ovitters <ovitters>
    - fix source url
    - new version 0.9

* Tue Feb 14 2012 ovitters <ovitters> 0.8-6.mga2
+ Revision: 208808
- clean spec

* Tue Jan 11 2011 blino <blino> 0.8-5.mga1
+ Revision: 6400
- imported package xdg-user-dirs-gtk

